server:
  port: 4000

spring:
  application:
    name: @artifactId@
  cloud:
    nacos:
      discovery:
        #server-addr: ${NACOS-HOST:sc-register}:${NACOS-PORT:8848}
        server-addr: 127.0.0.1:8848
      config:
        #server-addr: ${spring.cloud.nacos.discovery.server-addr}
        server-addr: 127.0.0.1:8848
        file-extension: yml
        shared-dataids: application-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
  autoconfigure:
    exclude: org.springframework.cloud.gateway.config.GatewayAutoConfiguration,org.springframework.cloud.gateway.config.GatewayClassPathWarningAutoConfiguration
  profiles:
    active: @profiles.active@

management:
  endpoints:
    web:
      exposure:
        include: '*'
  endpoint:
    health:
      show-details: ALWAYS